Fetch executions for dripcampaigns
curl --request GET \
--url https://api.sakari.io/v1/accounts/{accountId}/dripcampaigns/{dripCampaignId}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/dripcampaigns/{dripCampaignId}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sakari.io/v1/accounts/{accountId}/dripcampaigns/{dripCampaignId}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"status": "<string>",
"entered": "2023-11-07T05:31:56Z",
"contact": {
"id": "<string>",
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs",
"mobile": {
"country": "<string>",
"number": "123-456-7890",
"verified": "2023-11-07T05:31:56Z",
"valid": true,
"lineType": "mobile"
},
"lists": [
{
"id": "<string>",
"name": "<string>",
"source": {
"id": "<string>",
"integration": "<string>",
"lastSynced": "<string>"
},
"keyword": "<string>",
"doubleOptIn": {
"enabled": true,
"prompt": "<string>"
},
"filter": {
"q": "<string>",
"attributes": [
{
"attribute": "<string>",
"comparator": "<string>",
"value": [
"<string>"
]
}
],
"list": "<string>",
"valid": true,
"invalid": true,
"blocked": true,
"unblocked": true,
"optIn": true
},
"optInConfirmation": "<string>",
"optIn": "2023-11-07T05:31:56Z",
"optOut": "2023-11-07T05:31:56Z"
}
],
"attributes": {},
"optIn": "2023-11-07T05:31:56Z",
"blocked": "2023-11-07T05:31:56Z",
"activecampaign": {
"id": 123
},
"hubspot": {
"id": 123
},
"pipedrive": {
"id": 123
},
"valid": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
},
"created": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "joe@bloggs.com",
"source": "<string>",
"subSource": "<string>"
}
},
"updated": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "joe@bloggs.com",
"source": "<string>",
"subSource": "<string>"
}
}
}
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}dripcampaigns
Fetch executions for dripcampaigns
GET
/
v1
/
accounts
/
{accountId}
/
dripcampaigns
/
{dripCampaignId}
/
executions
Fetch executions for dripcampaigns
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account to apply operations to
Drip Campaign to apply operations to
Query Parameters
versionId of the desired Workflow Version
Results to skip when paginating through a result set
Required range:
x >= 0⌘I